Announcement Announcement Module
Collapse
No announcement yet.
Spring Security Issue Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Security Issue

    I am new at using Roo. I was going through the Chapter 2 Tutorial (Pizza Shop). When, I added security via the security setup command followed by the perform eclipse command. I was seeing errors in the applicationContext-security.xml file. There were lots of missing files. After some investigation, I noticed that the POM had the spring security version set to 3.02. I changed this to the latest version 3.04 and that fixed the problem.

  • #2
    I am new to Roo and having the same problem. What is worse is that I spent the day reviewing what I did yesterday when I first did the pizzashop tutorial. I don't see anything wrong and the app worked. I just tested and the application is still working even though these errors exist in the applicationContext-security.xml file.

    However, I can't figure out how to change the version for Spring Security in the pom.xml file. I see it listed and can double click the option in the Overview. But how do you know what version to put in for the value? I have 3.0.5.RELEASE. What should that value be? Just 3.04?

    Comment

    Working...
    X